<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "itemmain.php";

$keyfld = "code";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`code` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`subname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND c.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`kargname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`cost` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND a.`rate` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`code` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`subname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND c.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`kargname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`cost` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND a.`rate` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `code`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`code`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`subname`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY c.`name`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY a.`kargname`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY a.`cost`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY a.`rate`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT a.code, a.`name`, a.`subname`, a.`kargname`, a.`cost`, a.`rate`, b.name  as groupname, c.name as sgroupname FROM item a ,itemgrp  b , itemsubgrp c 
        WHERE a.`itemgrp`= b.`code` and  a.`itemsubgrp` = c.`code`   $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));



$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {


    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'code' => $r['code'],
        'name' => $r['name'],
        'subname' => $r['subname'],
        'groupname' => $r['groupname'],
        'sgroupname' => $r['sgroupname'],
        'kargname' => $r['kargname'],
        'cost' => $r['cost'],
        'rate' => $r['rate'],
        'action' => "$file?mode=edit&code=$r[code]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
